models/mapobjects/furniture/bulb
{
	qer_editorimage models/mapobjects/furniture/bulb.tga
	//base TGA (used because the shader is used with several
	// different light values
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_LightRGB .94 .76 .55
	q3map_forcemeta
	q3map_surfacelight 20000


//	{
//		map $lightmap
//		//source texture is affected by the lightmap
//		rgbGen identity
//		// this command handles the overbright bits created by "sunlight"
//		// in the game
//	}

	{	
		map models/mapobjects/furniture/bulb.tga
		// base texture
//		blendFunc filter
		rgbGen identity
	}

//	{	
//		map models/mapobjects/furniture/bulb.tga
//		//blend map added to the base texture
//		blendFunc add
//		
//	}
	
}

//SHADE FOR BLUE LAMP
models/mapobjects/furniture/shade_lilac_white
{
	qer_editorimage models/mapobjects/furniture/shade_lilac_white.tga
	surfaceparm nomarks
//	surfaceparm nolightmap
	q3map_LightRGB .94 .76 .55
//	q3map_lightsubdivide 120
	q3map_forcemeta
	q3map_surfacelight 100

	{
		map $lightmap
		rgbGen identity
	}

	{	
		map models/mapobjects/furniture/shade_lilac_white.tga
		blendFunc filter
		rgbGen vertex
	}

	{	
		map models/mapobjects/furniture/shade_lilac_white.tga
		blendFunc add
		
	}
		
}

//SHADE FOR BROWN LAMP
models/mapobjects/furniture/shade_beige_white
{
	qer_editorimage models/mapobjects/furniture/shade_beige_white.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_LightRGB .94 .76 .55
//	q3map_lightsubdivide 8
	q3map_surfacelight 100


	{	
		map models/mapobjects/furniture/shade_taupe_white.tga
		rgbGen identity
	}
		
}

//SHADE FOR GREEN LAMP
models/mapobjects/furniture/shade_taupe_white
{
	qer_editorimage models/mapobjects/furniture/shade_taupe_white.tga
	surfaceparm nomarks
//	surfaceparm nolightmap
	q3map_LightRGB .94 .76 .55
//	q3map_lightsubdivide 8
	q3map_forcemeta
	q3map_surfacelight 100

	{
		map $lightmap
		rgbGen identity
	}

	{	
		map models/mapobjects/furniture/shade_taupe_white.tga
		blendFunc filter
		rgbGen vertex
	}

	{	
		map models/mapobjects/furniture/shade_taupe_white.tga
		blendFunc add
		
	}


		
}

//GLASS FOR CASA LAMP
models/mapobjects/furniture/glass_gradient
{
	qer_editorimage models/mapobjects/furniture/glass_gradient.tga
	surfaceparm nomarks
//	surfaceparm nolightmap
	q3map_LightRGB .94 .76 .55
//	q3map_lightsubdivide 1
	q3map_forcemeta
	q3map_surfacelight 4000

	{
		map $lightmap
		rgbGen identity
	}

	{	
		map models/mapobjects/furniture/glass_gradient.tga
		blendFunc filter
		rgbGen identity
	}

	{	
		map models/mapobjects/furniture/glass_gradient.tga
		blendFunc add
		
	}

		
}

//LIGHTMAPPING FOR NON-GLOWING PARTS

models/mapobjects/furniture/greenish
{
	q3map_forcemeta


	{
	  map models/mapobjects/furniture/greenish.tga
	  rgbGen identity
	}
	
	{
	  map $lightmap
	  blendfunc gl_dst_color gl_zero
	  rgbGen identity
	}	


}

models/mapobjects/furniture/copper_led
{
	q3map_forcemeta


	{
	  map models/mapobjects/furniture/copper_led.tga
	  rgbGen identity
	}
	

	{
	  map $lightmap
	  blendfunc gl_dst_color gl_zero
	  rgbGen identity
	}


//	q3map_noshadow 32
//	q3map_vertexscale 2
//
//	{
//	  map models/mapobjects/furniture/copper_led.tga
//	  rgbGen vertex	
//	}

}

models/mapobjects/furniture/marble_brown1_512
{
	q3map_forcemeta

	{
	  map models/mapobjects/furniture/marble_brown1_512.tga
	  rgbGen identity
	}


	{
	  map $lightmap
	  blendfunc gl_dst_color gl_zero
	  rgbGen identity
	}		

}

models/mapobjects/furniture/brass_led
{
	q3map_forcemeta
	{
	  map models/mapobjects/furniture/brass_led.tga
	  rgbGen identity
	}
	
	{
	  map $lightmap
	  blendfunc gl_dst_color gl_zero
	  rgbGen identity
	}	
}

models/mapobjects/furniture/marble_blue
{
	q3map_forcemeta

	{
	  map models/mapobjects/furniture/marble_blue.tga
	  rgbGen identity
	}

	{
	  map $lightmap
	  blendfunc gl_dst_color gl_zero
	  rgbGen identity
	}		

}


models/mapobjects/propane_tank/copper_tile_1_256

{
	q3map_forcemeta

	{
	  map models/mapobjects/propane_tank/copper_tile_1_256.tga
	  rgbGen identity
	}

	{
	  map $lightmap
	  blendfunc gl_dst_color gl_zero
	  rgbGen identity
	}		

}

models/mapobjects/furniture/copper_tile_1_256

{
	q3map_forcemeta

	{
	  map models/mapobjects/furniture/copper_tile_1_256.tga
	  rgbGen identity
	}

	{
	  map $lightmap
	  blendfunc gl_dst_color gl_zero
	  rgbGen identity
	}


//	q3map_noshadow 32
//	q3map_vertexscale 2
//
//	{
//	  map models/mapobjects/furniture/copper_tile_1_256.tga
//	  rgbGen vertex	
//}
		

}

//GLASS FOR PRAGUE RESTAURANT MENUS AND LAMPS
models/prague/glass_gradient_cream
{
//	cull none
	qer_editorimage models/prague/glass_gradient_cream.tga
	surfaceparm nomarks
	q3map_forcemeta
	q3map_LightRGB .94 .76 .55
	q3map_surfacelight 2000

	{
		map $lightmap
		rgbGen identity
	}

	{	
		map models/prague/glass_gradient_cream.tga
		blendFunc filter
		rgbGen vertex
	}

	{	
		map models/prague/glass_gradient_cream.tga
		blendFunc add
		
	}

		
}

//SCROLL WORK FOR PRAGUE LAMPS

models/prague/prague_lamp_scroll4
{
	qer_editorimage models/prague/prague_lamp_scroll4.tga
    	surfaceparm trans
	surfaceparm nomarks
	cull none
	q3map_noshadow 32
	q3map_vertexscale 2
	nopicmip
	nomipmaps
	{
		map models/prague/prague_lamp_scroll4.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
//	{
//		map $lightmap
//		rgbGen identity
//		blendFunc GL_DST_COLOR GL_ZERO
//		depthFunc equal
//	}
}

//VERTEX LIGHTING FOR PRAGUE LAMP METAL

models/prague/metal_black7b_512
{
	q3map_noshadow 32
	q3map_vertexscale 2

	{
	  map models/prague/metal_black7b_512.tga
	  rgbGen vertex
	}


}

//VERTEX LIGHTING FOR THE CAFE CHINA

models/mapobjects/furniture/white_ceramic
{

	q3map_noshadow 32
	q3map_vertexscale 2

	{
	  map models/mapobjects/furniture/white_ceramic.tga
	  rgbGen vertex	
}



}

models/mapobjects/furniture/coffee_foam
{

	q3map_noshadow 32
	q3map_vertexscale 2

	{
	  map models/mapobjects/furniture/coffee_foam.tga
	  rgbGen vertex	
}



}


//WINDOW GLASS FOR BUILDINGS WITH THE LIGHTS OFF INSIDE

models/prague/window_glass1_128
{

	qer_editorimage models/prague/window_glass1_128.tga
	q3map_forcemeta

	{
		map models/prague/window_glass1_128.tga
		rgbGen identity
	}

	{
	  map $lightmap
	  rgbGen identity
	}

		
}


//WINDOW GLASS FOR BUILDINGS WITH THE LIGHTS ON INSIDE


models/prague/window_glass2_128
{

	qer_editorimage models/prague/window_glass2_128.tga
	surfaceparm nomarks
	q3map_forcemeta
	q3map_LightRGB .94 .76 .55
	q3map_surfacelight 20

	{
		map $lightmap
		rgbGen vertex
	}

	{	
		map models/prague/window_glass2_128.tga
		blendFunc filter
		rgbGen vertex
	}

	{	
		map models/prague/window_glass3_128.tga
		blendFunc blend
		
	}

		
}



models/prague/glass_gradient_cream2
{
	qer_editorimage models/prague/glass_gradient_cream2.tga
	surfaceparm nomarks
	q3map_forcemeta
	q3map_LightRGB .94 .76 .55
	q3map_surfacelight 20

	{
		map $lightmap
		rgbGen identity
	}

	{	
		map models/prague/glass_gradient_cream2.tga
		blendFunc filter
		rgbGen vertex
	}

	{	
		map models/prague/glass_gradient_cream2.tga
		blendFunc add
		
	}

		
}

// VERTEX LIGHTING FOR DOOR KNOB

models/prague/door_knob_skin2
{

	q3map_noshadow 32
	q3map_vertexscale 2

	{
	  map models/prague/door_knob_skin2.tga
	  rgbGen vertex	
}



}


// VERTEX LIGHTING FOR BRASS BELL

models/mapobjects/furniture/brass_bell
{

	q3map_noshadow 32
	q3map_vertexscale 2

	{
	  map models/mapobjects/furniture/brass_bell.tga
	  rgbGen vertex	
}



}
